
# Count players on each team
execute as @a[tag=tr] run tag @s add tr_count
execute as @a[tag=ct] run tag @s add ct_count

# Check if more players are on Terrorists than Counter-Terrorists
execute if entity @a[tag=tr_count] run execute if entity @a[tag=!ct_count] run tag @s add auto_balance_to_ct

# Clear temporary tags
execute as @a[tag=tr_count] run tag @s remove tr_count
execute as @a[tag=ct_count] run tag @s remove ct_count

# Auto-balance: if too many on Terrorists, move to Counter-Terrorists
execute if entity @s[tag=auto_balance_to_ct] run tag @s add ct
execute if entity @s[tag=auto_balance_to_ct] run tellraw @a {"rawtext":[{"selector":"@s"},{"text":" "},{"text":"has been auto-balanced to the §9Counter-Terrorists"}]}
execute if entity @s[tag=auto_balance_to_ct] run effect @s weakness 9999 99 true
execute if entity @s[tag=auto_balance_to_ct] run gamemode a @s
execute if entity @s[tag=auto_balance_to_ct] run inputpermission set @s movement enabled
execute if entity @s[tag=auto_balance_to_ct] run tag @s add has_team

# Join Terrorists team if balance allows
execute if entity @s[tag=!auto_balance_to_ct] run tag @s add tr
execute if entity @s[tag=!auto_balance_to_ct] run tellraw @a {"rawtext":[{"selector":"@s"},{"text":" "},{"text":"has joined the §cTerrorists"}]}
execute if entity @s[tag=!auto_balance_to_ct] run effect @s weakness 9999 99 true
execute if entity @s[tag=!auto_balance_to_ct] run gamemode a @s
execute if entity @s[tag=!auto_balance_to_ct] run inputpermission set @s movement enabled
execute if entity @s[tag=!auto_balance_to_ct] run tag @s add has_team
execute if entity @s[tag=auto_balance_to_ct] run tag @a[tag=owner] add owner_joined_team
execute if entity @s[tag=auto_balance_to_ct] run tag @s remove auto_balance_to_ct

replaceitem entity @s[tag=tr] slot.armor.chest 0 azoz:vest_tr 1 0 {"minecraft:item_lock":{"mode":"lock_in_slot"}}
replaceitem entity @s[tag=ct] slot.armor.chest 0 azoz:vest_ct 1 0 {"minecraft:item_lock":{"mode":"lock_in_slot"}}

scoreboard players set @s[tag=!owner] ready 1

function fill_barrier

execute if entity @p[tag=owner,tag=game_has_start] run execute as @s run event entity @s gungame:level1
execute if entity @p[tag=owner,tag=game_has_start] run execute as @s[tag=ct] run tp @s @r[type=statue:portal2_ct]
execute if entity @p[tag=owner,tag=game_has_start] run execute as @s[tag=tr] run tp @s @r[type=statue:portal2_tr]
execute if entity @p[tag=owner,tag=game_has_start] run execute as @s run effect @s resistance 2 225 
execute if entity @p[tag=owner,tag=game_has_start] run execute as @s run playsound gun.tutor @s
execute if entity @p[tag=owner,tag=game_has_start] run execute as @s run tellraw @s {"rawtext":[{"text":"§o§lObtain 2 kills §6to level up!"}]}
execute if entity @p[tag=owner,tag=game_has_start] run execute as @s run tellraw @s {"rawtext":[{"text":"§b1/22"}]}

tellraw @s {"rawtext":[{"text":"§5§lMusic ♬ "},{"text":"§r§5set your music volume to §f§l2%"}]}

tag @s[tag=owner] add owner_joined_team
execute if entity @p[tag=has_team,tag=!owner] run tag @p[tag=owner] add remove_auto_balance
