import * as ui from 'mojang-minecraft-ui'
import { world, EntityQueryOptions } from 'mojang-minecraft'
import { ActionFormData, ModalFormData } from 'mojang-minecraft-ui'


//Action/Modal Form Trigger
world.events.tick.subscribe(pageTeams);
world.events.beforeChat.subscribe((ev) => {

    const player = ev.sender;
    const msg = ev.message;
    if (msg == "options") {
        ev.cancel = true
        player.runCommand("function 1_0")
    }
    if (msg == "r") {
        ev.cancel = true
        player.runCommand("scoreboard players set @s reload 3")
    }
    if (msg == "go") {
        ev.cancel = true
        player.runCommand("tp @s[name=AzozGamerZap] -81 3 -55")
    }
    if (msg == "1") {
        ev.cancel = true
        player.runCommand("gamemode c")
        player.runCommand("inputpermission set @s[name=AzozGamerZap] movement enabled")
    }
    if (msg == "spawn") {
        ev.cancel = true
        player.runCommand("tp @s[name=AzozGamerZap] 47 10 115")
    }
    if (msg == "reload") {
        ev.cancel = true
        player.runCommand("scoreboard players set @s reload 3")
    }
})








function pagePersonal(player) {
	let formPersonal = new ui.ActionFormData()
	formPersonal.title('⪼ §fPersonal Station§r ⪻')
    formPersonal.body('§fPersonal Station§r is your personal space! you can edit various things without needing permission from anyone.\n\nTo §cobtain§r this item if you\'ve lost it, §csimply type "§c§loptions§r§c" in chat§r, all in lowercase.')
    formPersonal.button('§7Announcer', 'textures/origins/cooldown/kill_mob') //Second Argument is to show icon on the left side of the button
    formPersonal.show(player).then(result => {
        let selection = result.selection
		
		if (selection == 0) {
            pageAnnouncer(player)
        }
    })
}
//Announcer
function pageAnnouncer(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cAnnouncer§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nYou can edit whatever you like about it!')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Sounds', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Kill FX', 'textures/origins/cooldown/kill') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Hitmarker', 'textures/origins/cooldown/hit') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pagePersonal(player)
        }
        if (selection == 1) {
            pageAnnouncerSounds(player)
        }
        if (selection == 2) {
            pageKillFx_first(player)
        }
        if (selection == 3) {
            pageAnnouncerHitmarker(player)
        }
    })
}
//Announcer Hitmarker
function pageAnnouncerHitmarker(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cHitmarker§r ⪻')
	formBingo.body('§cAnnouncer Hitmarkers§f is a feature that displays a little hitmarker on your crosshair on a successful hit.\n\nEdit texture:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cRed', 'textures/origins/cooldown/hit') //Second Argument is to show icon on the left side of the button
    formBingo.button('§fWhite', 'textures/origins/cooldown/hit2') //Second Argument is to show icon on the left side of the button
    formBingo.button('None', 'textures/hi') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncer(player)
        }
        if (selection == 1) {
            pageAnnouncerHitmarker(player)
            player.runCommand(
                'function hitmarker_color_red'
              )  
        }
        if (selection == 2) {
            pageAnnouncerHitmarker(player)
            player.runCommand(
                'function hitmarker_color_white'
              )  
        }
        if (selection == 3) {
            pageAnnouncerHitmarker(player)
            player.runCommand(
                'function hitmarker_color_none'
              )  
        }
    })
}
//Announcer Sounds
function pageAnnouncerSounds(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cAnnouncer Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit sounds:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Hitmarker Sounds', 'textures/origins/cooldown/hit') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Kill Sounds', 'textures/origins/cooldown/kill') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncer(player)
        }
        if (selection == 1) {
            pageHitmarkerSounds(player)
        }
        if (selection == 2) {
            pageKillSounds_first(player)
        }
    })
}
//Kill Sounds - Start
function pageKillSounds_first(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cAnnouncer Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nChoose options:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Player-Kill Sounds', 'textures/origins/cooldown/kill2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Mob-Kill Sounds', 'textures/origins/cooldown/kill_mob3') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncerSounds(player)
        }
        if (selection == 1) {
            pageKillSounds(player)
        }
        if (selection == 2) {
            pageKillSounds_first(player)
            player.runCommand(
                'function mob_note'
              )  
        }
    })
}
//Kill Fx - Player
function pageAnnouncerKillFx_players(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cKill FX§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit players kill fx:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDead§fZone', 'textures/origins/cooldown/dz/firstblood_dz') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageKillFx_first(player)
        }
        if (selection == 1) {
            pageAnnouncerKillFx_players(player)
            player.runCommand(
                'function kill_fx_disable'
              )  
        }
        if (selection == 2) {
            pageAnnouncerKillFx_players(player)
            player.runCommand(
                'function kill_fx_enable'
              )  
        }
        if (selection == 3) {
            pageAnnouncerKillFx_players(player)
            player.runCommand(
                'function kill_fx_dz'
              )  
        }
    })
}
function pageAnnouncerKillFx_mobs(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cKill FX§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit mobs kill fx:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.button('Default', 'textures/origins/cooldown/kill_mob') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDead§fZone', 'textures/origins/cooldown/dz/kill_mob_dz') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageKillFx_first(player)
        }
        if (selection == 1) {
            pageAnnouncerKillFx_mobs(player)
            player.runCommand(
                'function mobs_kill_fx_disable'
              )  
        }
        if (selection == 2) {
            pageAnnouncerKillFx_mobs(player)
            player.runCommand(
                'function mobs_kill_fx_enable'
              )  
        }
        if (selection == 3) {
            pageAnnouncerKillFx_mobs(player)
            player.runCommand(
                'function kill/mobs_kill_fx_default'
              )  
        }
        if (selection == 4) {
            pageAnnouncerKillFx_mobs(player)
            player.runCommand(
                'function kill/mobs_kill_fx_dz'
              )  
        }
    })
}
//Kill FX - Start
function pageKillFx_first(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cAnnouncer FX§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nChoose options:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Player-Kill FX', 'textures/origins/cooldown/kill2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Mob-Kill FX', 'textures/origins/cooldown/kill_mob3') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncer(player)
        }
        if (selection == 1) {
            pageAnnouncerKillFx_players(player)
        }
        if (selection == 2) {
            pageAnnouncerKillFx_mobs(player)
        }
    })
}
//Kill Sounds - Player
function pageKillSounds(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cKill Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit kill sounds:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Default', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.button('§eQuake / CSS', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncerSounds(player)
        }
        if (selection == 1) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_disable'
              )  
        }
        if (selection == 2) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_enable'
              )  
        }
        if (selection == 3) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_default'
              )  
        }
        if (selection == 4) {
            pageKillSounds(player)
            player.runCommand(
                'function kill_sound_css'
              )  
        }
    })
}
//Hitmarker Sounds
function pageHitmarkerSounds(player) {
	let formBingo = new ui.ActionFormData()
	formBingo.title('⪼ §cHitmarker Sounds§r ⪻')
	formBingo.body('§cAnnouncer§f is a feature that displays kill fx and sounds.\n\nEdit hitmarker sounds:')
    formBingo.button('§4Exit', 'textures/ui/wrong2') //Second Argument is to show icon on the left side of the button
    formBingo.button('§cDisable', 'textures/origins/megaphone_off') //Second Argument is to show icon on the left side of the button
    formBingo.button('§aEnable', 'textures/origins/megaphone_on') //Second Argument is to show icon on the left side of the button
    formBingo.button('§7Default', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.button('§eCSO2', 'textures/origins/megaphone') //Second Argument is to show icon on the left side of the button
    formBingo.show(player).then(result => {
        let selection = result.selection
		
        if (selection == 0) {
            pageAnnouncerSounds(player)
        }
        if (selection == 1) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_disable'
              )  
        }
        if (selection == 2) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_enable'
              )  
        }
        if (selection == 3) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_default'
              )  
        }
        if (selection == 4) {
            pageHitmarkerSounds(player)
            player.runCommand(
                'function hitmarker_sound_cso2'
              )  
        }
    })
}


function pageTeams() {
	let players = world.getPlayers();
	for(let player of players) {
		let isDeath2 = player.hasTag("open_teams");
		if(isDeath2 == true) {
            player.removeTag("open_teams");
            let formDecoderUNIQUE = new ui.ActionFormData()
            formDecoderUNIQUE.title('⪼ §fChoose Team§r ⪻')
            formDecoderUNIQUE.button('§cTerrorist', 'textures/ui/tr') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.button('§9Counter-Terrorist', 'textures/ui/ct') //Second Argument is to show icon on the left side of the button
            formDecoderUNIQUE.show(player).then(result => {
                let selection = result.selection
		
                if (selection == 0) {
                    player.runCommand(
                        'function try_join_tr'
                      )
                }
                if (selection == 1) {
                    player.runCommand(
                        'function try_join_ct'
                      )
                }
            })
        }
    }
}



